List token holders
curl --request GET \
--url https://api.launch.o1.exchange/v1/tokens/{chain_id}/{token_address}/holders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.launch.o1.exchange/v1/tokens/{chain_id}/{token_address}/holders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.launch.o1.exchange/v1/tokens/{chain_id}/{token_address}/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "<string>",
"balance_raw": "<string>",
"balance": "<string>",
"value_usd": 1,
"supply_percent": 50
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true,
"limit": 2
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"warnings": [
"<string>"
]
},
"summary": {
"status": "<string>",
"total_holders": 1,
"top_10_percent": 50
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}Tokens
List token holders
Get a provider-backed holder snapshot for one tracked launch token.
GET
/
tokens
/
{chain_id}
/
{token_address}
/
holders
List token holders
Authorizations
Production API key beginning with o1_launch_.
Path Parameters
Production chain containing the resource.
Available options:
8453, 4663 Example:
8453
Launch token contract address.
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
Opaque continuation cursor returned by the previous page. Do not parse or modify it.
Maximum string length:
4096Maximum number of holders to return.
Required range:
1 <= x <= 200⌘I
